# Class DVM

- Defined in handler.ts:22

#####
Index

### Constructors

constructor

### Properties

active
handlers
logEvents
opts
seen

### Methods

onEvent
publish
start
stop

##
Constructors

### constructor

- new DVM(opts: DVMOpts ): DVM

- #### Parameters

  - opts: DVMOpts

  #### Returns DVM

  - Defined in handler.ts:28

##
Properties

### active

active: boolean = false

- Defined in handler.ts:23

### handlers

handlers: Map<any, any> = ...

- Defined in handler.ts:26

### logEvents

logEvents: boolean = false

- Defined in handler.ts:24

### `Readonly` opts

opts: DVMOpts

- Defined in handler.ts:28

### seen

seen: Set<unknown> = ...

- Defined in handler.ts:25

##
Methods

### onEvent

- onEvent(request: TrustedEvent ): Promise<void>

- #### Parameters

  - request: TrustedEvent

  #### Returns Promise<void>

  - Defined in handler.ts:66

### publish

- publish(template: StampedEvent ): Promise<void>

- #### Parameters

  - template: StampedEvent

  #### Returns Promise<void>

  - Defined in handler.ts:111

### start

- start(): Promise<void>

- #### Returns Promise<void>

  - Defined in handler.ts:34

### stop

- stop(): void

- #### Returns void

  - Defined in handler.ts:58